Subject: [06/10,V2] spi: Add SPI driver for mx233/mx28

From: [email-masked] (Marek Vasut)
Date: Wed, 1 Aug 2012 08:10:37 +0200

Dear Shawn Guo,

> On Tue, Jul 31, 2012 at 10:42:28PM -0700, Guenter Roeck wrote:
> > On Wed, Aug 01, 2012 at 01:58:56PM +0800, Shawn Guo wrote:
> > > On Tue, Jul 31, 2012 at 10:29:47PM -0700, Guenter Roeck wrote:
> > > > Anyone up for writing some patches ? If not, I'll do it.
> > > 
> > > Go ahead.
> > 
> > Ok, will do. It isn't that simple, actually, since at least some of the
> > drivers also call spi_master_get(), and thus need two calls to
> > spi_master_put() (or a call to spi_master_put and a call to kfree).
> 
> Hmm, are you saying that there must be a spi_master_put call matching
> spi_alloc_master?  I think we only need to have spi_master_get and
> spi_master_put matched.

Naw, spi_master_get() does refcounting, spi_alloc_master() doesnt. You don't 
need to match spi_alloc_master() with spi_master_put()

> Regards,
> Shawn

Best regards,
Marek Vasut